unit FontTextUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Spin, StdCtrls, Buttons, Grids, ExtCtrls;

type
  TFontTextForm = class(TForm)
    Label2: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Memo1: TMemo;
    TextEdit: TEdit;
    InfoGrid: TStringGrid;
    AddButton: TBitBtn;
    OKButton: TBitBtn;
    xEdit: TSpinEdit;
    yEdit: TSpinEdit;
    ScrollBox1: TScrollBox;
    Label5: TLabel;
    Bevel5: TBevel;
    FontDialog: TFontDialog;
    FontButton: TBitBtn;
    PaintBox: TPaintBox;
    procedure OKButtonClick(Sender: TObject);
    procedure AddButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TextEditChange(Sender: TObject);
    procedure InfoGridDblClick(Sender: TObject);
    procedure FontButtonClick(Sender: TObject);
    procedure PaintBoxPaint(Sender: TObject);
    procedure xEditChange(Sender: TObject);
    procedure yEditChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FontTextForm: TFontTextForm;

implementation

{$R *.DFM}

procedure TFontTextForm.OKButtonClick(Sender: TObject);
begin
     close;
end;

procedure TFontTextForm.AddButtonClick(Sender: TObject);
begin
     TextEdit.Text:=TextEdit.Text+(' $'+Infogrid.Cells[0,InfoGrid.Selection.Top]+'$ ');
end;

procedure TFontTextForm.FormCreate(Sender: TObject);
begin
     FontDialog.Font:=PaintBox.Canvas.Font;

     InfoGrid.Cells[0,0]:='Info';
     InfoGrid.Cells[1,0]:='Bedeutung';
     InfoGrid.Cells[2,0]:='Beispiel';

     //Allgemeines
     InfoGrid.Cells[0,1]:='PCNAME';
     InfoGrid.Cells[1,1]:='Netzwerkname des Computers';
     InfoGrid.Cells[2,1]:='Server04';

     InfoGrid.Cells[0,2]:='USERNAME';
     InfoGrid.Cells[1,2]:='Name des derzeitigen Benutzers';
     InfoGrid.Cells[2,2]:='Administrator';

     InfoGrid.Cells[0,3]:='MEMORY';
     InfoGrid.Cells[1,3]:='Gre des physikalischen Arbeitsspeichers in MB';
     InfoGrid.Cells[2,3]:='512';

     InfoGrid.Cells[0,4]:='OS';
     InfoGrid.Cells[1,4]:='Name des Betriebsystems';
     InfoGrid.Cells[2,4]:='Windows 2000';

     InfoGrid.Cells[0,5]:='CPUSPEED';
     InfoGrid.Cells[1,5]:='Taktfrequenz der CPU';
     InfoGrid.Cells[2,5]:='2800 MHz';

     InfoGrid.Cells[0,6]:='CPUVENDOR';
     InfoGrid.Cells[1,6]:='CPU-Hersteller';
     InfoGrid.Cells[2,6]:='GenuineIntel';

     InfoGrid.Cells[0,7]:='CPUNAME';
     InfoGrid.Cells[1,7]:='Bezeichnung der CPU';
     InfoGrid.Cells[2,7]:='Intel(R) Pentium(R) 4 CPU 2.80GHz';

     InfoGrid.Cells[0,8]:='CPUIDENT';
     InfoGrid.Cells[1,8]:='CPU-Identifikation';
     InfoGrid.Cells[2,8]:='x86 Family 15 Model 2 Stepping 9';

     InfoGrid.Cells[0,9]:='CPUCLASS';
     InfoGrid.Cells[1,9]:='Klassenname der CPU';
     InfoGrid.Cells[2,9]:='x586';

     InfoGrid.Cells[0,10]:='CPUFAMILY';
     InfoGrid.Cells[1,10]:='Familienname der CPU';
     InfoGrid.Cells[2,10]:='itanium';

     InfoGrid.Cells[0,11]:='CPUMODEL';
     InfoGrid.Cells[1,11]:='Modelbezeichnung der CPU';
     InfoGrid.Cells[2,11]:='Intel Itanium IA-64';

     //CPU-Technologien
     InfoGrid.Cells[0,12]:='MMX';
     InfoGrid.Cells[1,12]:='CPU untersttzt MultiMediaExtension';
     InfoGrid.Cells[2,12]:='ja';

     InfoGrid.Cells[0,13]:='FPU';
     InfoGrid.Cells[1,13]:='CPU besitzt CO-Prozessor';
     InfoGrid.Cells[2,13]:='ja';

     InfoGrid.Cells[0,14]:='ISSE2';
     InfoGrid.Cells[1,14]:='CPU beherrscht Intel SSE2 Befehlsatz ';
     InfoGrid.Cells[2,14]:='ja';

     InfoGrid.Cells[0,15]:='PSN';
     InfoGrid.Cells[1,15]:='CPU hat eine ProzessorSerienNummer (nur P3)';
     InfoGrid.Cells[2,15]:='nein';

     InfoGrid.Cells[0,16]:='ACC';
     InfoGrid.Cells[1,16]:='CPU besitzt AutomaticClockControl';
     InfoGrid.Cells[2,16]:='ja';

     InfoGrid.Cells[0,17]:='PAE';
     InfoGrid.Cells[1,17]:='CPU untersttzt PhysikalAdressExtension';
     InfoGrid.Cells[2,17]:='ja';

     InfoGrid.Cells[0,18]:='VME';
     InfoGrid.Cells[1,18]:='CPU arbeitet im VirtualMode';
     InfoGrid.Cells[2,18]:='ja';

     InfoGrid.Cells[0,19]:='MSR';
     InfoGrid.Cells[1,19]:='CPU hat ein ModelSpezificRegister';
     InfoGrid.Cells[2,19]:='ja';

     InfoGrid.Cells[0,20]:='APIC';
     InfoGrid.Cells[1,20]:='CPU hat einen AdvanceProgramableIRQController';
     InfoGrid.Cells[2,20]:='ja';

     InfoGrid.Cells[0,21]:='TIMEZONE';
     InfoGrid.Cells[1,21]:='eingestellte Zeitzone';
     InfoGrid.Cells[2,21]:='Westeuropaeische Sommerzeit';

     //D3D & DDraw
     InfoGrid.Cells[0,22]:='RECENTD3D';
     InfoGrid.Cells[1,22]:='letzte Direct3D-Anwendung';
     InfoGrid.Cells[2,22]:='unreal.exe';

     InfoGrid.Cells[0,23]:='RECENTDD';
     InfoGrid.Cells[1,23]:='letzte DirectDraw-Anwendung';
     InfoGrid.Cells[2,23]:='opera.exe';
end;

procedure TFontTextForm.TextEditChange(Sender: TObject);
begin
     PaintBoxPaint(self)
end;

procedure TFontTextForm.InfoGridDblClick(Sender: TObject);
begin
     TextEdit.Text:=TextEdit.Text+(' $'+Infogrid.Cells[0,InfoGrid.Selection.Top]+'$ ');
end;

procedure TFontTextForm.FontButtonClick(Sender: TObject);
begin
     FontDialog.Font:=PaintBox.Canvas.Font;
     if FontDialog.execute then begin
      PaintBox.Canvas.Font:=FontDialog.Font;
      PaintBoxPaint(self)
     end;
end;

procedure TFontTextForm.PaintBoxPaint(Sender: TObject);
begin
     PaintBox.Canvas.brush.color:=clBlack;
     PaintBox.Canvas.FillRect(PaintBox.clientRect);
     PaintBox.Canvas.Font.color:=clAqua;
     PaintBox.Canvas.TextOut(xEdit.Value,yEdit.Value,TextEdit.Text);
end;

procedure TFontTextForm.xEditChange(Sender: TObject);
begin
     PaintBoxPaint(self)
end;

procedure TFontTextForm.yEditChange(Sender: TObject);
begin
     PaintBoxPaint(self)
end;

end.
